<!DOCTYPE html>
    <html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">

        <!--=============== BOXICONS ===============-->
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/boxicons@latest/css/boxicons.min.css">

        <!--=============== CSS ===============-->
        <link rel="stylesheet" href="assets/css/styles.css">
        <!--=============== Julie CSS ===============-->
        <title>FARMWISE IOT PLATFORM</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <script src="https://code.highcharts.com/highcharts.js"></script>
        <script src="js/mqttws31.js" type="text/javascript"></script>
        <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
        <script src="js/config.js" type="text/javascript"></script>
        <link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.css" />
        <script type="text/javascript" src="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.min.js"></script>
      <!-- Add the font-awesome stylesheet to the head of your HTML -->
      <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
      <link rel="stylesheet"href="https://unpkg.com/leaflet@1.7.1/dist/leaflet.css"/>
        <script src="https://unpkg.com/leaflet@1.7.1/dist/leaflet.js"></script>
         <!-- Bootstrap CSS -->
     <!-- <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css">-->

      <style>

          .widget-container {
            display: flex;
            flex-wrap: wrap;
            justify-content: space-between;
            width: 100%;
            max-width: 1200px;
            margin: 0 auto;
          }

          .temp-widget {
            flex-basis: calc((100% - 30px) / 4); /* 4 widgets in the first row */
            margin-bottom: 20px;
            background-color: #ffffff;
            padding: 10px;
            border: 1px solid #e3e3e3;
            text-align: center;
          }

          @media (max-width: 991px) {
            .temp-widget {
              flex-basis: calc((100% - 20px) / 3); /* 3 widgets in the second row */
            }
          }

          @media (max-width: 767px) {
            .temp-widget {
              flex-basis: calc((100% - 10px) / 2); /* 2 widgets in each row */
            }
          }
          
          .container2 {
          display: flex;
          flex-direction: row;
        }

        #mapid {
          height: 250px;
          width: 40%;
        }

        #pestdetection {
          width: 50%;
          margin-left: 20px; /* add margin to the left */
        }
              </style>
    </head>
    <body>
        <!--=============== HEADER ===============-->
        <header class="header" id="header">
            <nav class="nav container">
                <a href="#" class="nav__logo">FarmWise</a>

                <div class="nav__menu" id="nav-menu">
                    <ul class="nav__list">
                        <li class="nav__item">
                              <a href="index.html" class="nav__link">
                                <i class='bx bx-home-alt nav__icon'></i>
                                <span class="nav__name">Home</span>
                            </a>
                        </li>
                        
                        <li class="nav__item">
                            <a href="controls.html" class="nav__link">
                                <i class='bx bx-user nav__icon'></i>
                                <span class="nav__name">Controls</span>
                            </a>
                        </li>

                        <li class="nav__item">
                             <a href="predictions.html" class="nav__link">
                                <i class='bx bx-book-alt nav__icon'></i>
                                <span class="nav__name">Predictions</span>
                            </a>
                        </li>

                        <li class="nav__item">
                            <a href="streaming.html" class="nav__link">
                                <i class='bx bx-message-square-detail nav__icon'></i>
                                <span class="nav__name">Streaming</span>
                            </a>
                        </li>
                        <li class="nav__item">
                            <a href="settings.html" class="nav__link">
                                <i class='bx bx-message-square-detail nav__icon'></i>
                                <span class="nav__name">Settings</span>
                            </a>
                        </li>
                    </ul>
                </div>

                <img src="assets/img/perfil.png" alt="" class="nav__img">
            </nav>
        </header>

        <main>
            <!--=============== HOME ===============-->
            <section class="container section section__height" id="home">
	<div class="container2">
          <div id="pestdetection">        
          <select id="model-selector">
            <option value="inception">Inception Model</option>
            <option value="coco">COCO-SSD Model</option>
            <option value="keras">Keras Model</option>
            <option value="custom">Custom Model</option>
            <option value="yolo">Yolo Model</option>
          </select>
          
            <h1>Vegetable Pest Detection</h1>
            <form id="pestForm" enctype="multipart/form-data" method="POST" action="/detect">
              <input type="file" name="image">
              <button type="submit2">Detect pests</button>
            </form>
            <div id="response"></div>
            <div id="image-container">
             <canvas id="my-canvas" width="200" height="200"></canvas>
            </div>
          </div>
        </div>
        
      <div id="weather"></div>

            
            <script>
    const pestform = document.querySelector('#pestForm');
    const responseDiv = document.querySelector('#response');
    const imageContainer = document.querySelector('#image-container');

    pestform.addEventListener('submit', async (event) => {
      event.preventDefault();
      responseDiv.innerHTML = 'Detecting pests...';
      imageContainer.innerHTML = '';

      const formData = new FormData(event.target);
      const response = await fetch('/detect', {
        method: 'POST',
        body: formData,
      });
      const data = await response.json();
      console.log(data);
      responseDiv.innerHTML = '';

     // if (data.pestsPresent) {
        const img = document.createElement('img');
        img.src = 'data:image/jpeg;base64,' + data.img;
        img.onload = () => {
          const canvas = document.createElement('canvas');
          /*canvas.width = img.width;
          canvas.height = img.height;*/
          canvas.width = 150;
          canvas.height = 150;
          const ctx = canvas.getContext('2d');
          ctx.drawImage(img, 0, 0,150,150);
          
          imageContainer.appendChild(canvas);
        };

        const p = document.createElement('p');
        p.textContent = ` Predicted diseases: ${data.diseases[0].disease}`;
        responseDiv.appendChild(p);
    });
  </script>
       
            </section>

            <!--=============== ABOUT ===============-->
           

            <!--=============== SKILLS ===============-->
            

            <!--=============== PORTFOLIO ===============-->
          
            <!--=============== CONTACTME ===============-->
           
        </main>
        

        <!--=============== MAIN JS ===============-->
        <script src="assets/js/main.js"></script>
    </body>
</html>